<template>
  <div class="main-container">
    <div class="container">
      <div
        class="card"
        data-aos="fade-right"
        data-aos-ease="ease"
        data-aos-duration="1500"
        data-aos-delay="500"
      >
        <div class="imgBox">
          <img src="../assets/Images/exercise/armcircle.png" alt srcset />
        </div>
        <div class="content">
          <h2>1. Arm Circle</h2>
          <p>
            Circle your arms forward using small controlled motions, gradually making the circles bigger until you feel a stretch in your triceps.
            Reverse the direction of the circles after about 10 seconds.
          </p>
        </div>
      </div>
      <div
        class="card"
        data-aos="fade-left"
        data-aos-ease="ease"
        data-aos-duration="1500"
        data-aos-delay="1000"
      >
        <div class="imgBox">
          <img src="../assets/Images/exercise/flexorstretch.png" alt srcset />
        </div>
        <div class="content">
          <h2>2. Flexor Stretch</h2>
          <p>Stand with your back straight.Take a step forward and slowly bend both knees, until your back knee is just above the floor.Stand back up and repeat the movement.Alternate legs until the set is complete.</p>
        </div>
      </div>
      <div
        class="card"
        data-aos="fade-right"
        data-aos-ease="ease"
        data-aos-duration="1500"
        data-aos-delay="1500"
      >
        <div class="imgBox">
          <img src="../assets/Images/exercise/squat.png" alt srcset />
        </div>
        <div class="content">
          <h2>3. Squat</h2>
          <p>Stand straight with feet hip shoulder-width apart. Tighten your stomach muscles. Lower down, as if sitting in an invisible chair. Straighten your legs to lift back up. Repeat for the opposite side.</p>
        </div>
      </div>
      <div
        class="card"
        data-aos="fade-left"
        data-aos-ease="ease"
        data-aos-duration="1500"
        data-aos-delay="2000"
      >
        <div class="imgBox">
          <img src="../assets/Images/exercise/sidestretch.png" alt srcset />
        </div>
        <div class="content">
          <h2>4. Side Stretch</h2>
          <p>Stand straight with your feet hip-width apart. Take your right arm and reach over your head towards your left side while bending your side. Keep bending your side slowly until a stretch on your right side.</p>
        </div>
      </div>
      <div class="btn-started" >
        <router-link to="/Webcam">
          <button class="btn">
            Start Training
            <ion-icon name="arrow-forward-circle-outline" class="icon"></ion-icon>
          </button>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script>
export default {};
</script>

<style scoped>
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
.main-container {
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
  /* background: #112128; */
}
.container {
  position: relative;
  width: 1000px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
}
.container > .card {
  position: relative;
  max-width: 450px;
  margin: 10px;
  padding: 15px;
  box-shadow: 1px 3px 10px 0 rgb(0 0 0 / 25%),
    inset -8px -8px 12px 0 rgb(255 255 255 / 30%);
  border-radius: 20px;
  display: flex;
}
.container > .card > .imgBox {
  max-width: 150px;
  flex: 0 0 150px;
}
.container > .card > .imgBox img {
  max-width: 100%;
}
.container > .card > .content {
  margin-left: 20px;
}
.container > .card > .content > h2 {
  color: #b383e0;
}
.container > .btn-started {
  position: relative;
  top: 1rem;
  left: 1rem;
}
.btn {
  outline: none;
  background-color: #b383e0a6;
  color: #fff;
  font-weight: 600;
  box-shadow: inset 4px -4px 8px 0 rgb(179 131 224),
    inset 4px 12px 16px rgb(255 255 255 / 25%);
  padding: 0.6rem;
  font-size: 16px;
}
.icon {
  margin-left: 0.2rem;
  position: relative;
  top: 2px;
  font-weight: 600;
  font-size: larger;
}
</style>